{% extends 'base.html' %}
{% block title %}Liste des tâches{% endblock %}
{% block content %}
    <div class="btns">
        <a href="{% url 'add_task' %} " class="btn btn-primary btn-lg mb-5">Ajouter une nouvelle tâche</a>
        <a href="{% url 'users_list' %} " class="btn btn-primary btn-lg mb-5">Voir la liste des Utilisateurs</a>
    </div>
    <div class="container container-cards">
        {% if data|length == 0 %}
        <div class="alert alert-danger w-100  mr-2 text-center" role="alert">
            Cet utilisateur n'a aucane tâche pour le moment
        </div>
        {% else %}

        {% for task in data %}
            <button type="button" class="btn btn-outline-dark" data-bs-toggle="modal" data-bs-target="#task-{{task.id}}"class="card text-bg-dark" style="width: 18rem;">
                <div class="card-body">
                    <h5 class="card-title{% if not task.done%} task-no-fait {% else %} task-fait {% endif %}">{{ task.name }}</h5>
                    <p class="card-text card-text-descr">{{ task.description }}</p>
                    <p class="card-text">Pour le {{ task.end_date }}</p>
                </div>
            </button>
            <div class="modal fade" id="task-{{task.id}}" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="task-{{task.id}}-Label" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="task-{{task.id}}-Label">{{ task.name }}</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            {{ task.description }}<br>
                            Créé le <span style="color: red;">{{ task.creation_date }}</span><br>
                            A faire pour le <span style="color: red;">{{ task.end_date }}</span><br>
                            Pour l'utilisateur <span style="color: red;"><a href="{% url 'tasks_for_user' task.user.id %}">{{ task.user.name }}</a></span><br>
                            {% if task.done %}
                                <h4 class="da dn-y">Et c'est déjà faite. Bravo</h4>
                            {% else %}
                                <h4 class="da dn-n">C'est à faire !</h4>
                            {% endif %}
                        </div>
                        <div class="modal-footer">
                            {% if not task.done %}
                                <a href="{% url 'task_dane' task.id %}" class="btn btn-secondary">Morquer comme FAITE</a>
                            {% endif %}
                            <a href="{% url 'edit_task' task.id %}" class="btn btn-secondary">Modifier</a>
                            <a href="{% url 'delete_task' task.id %}" class="btn btn-primary">Supprimer</a>
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
        {% endif %}
    </div>
{% endblock %}
